Page MenuHomePhabricator

[mlir][NFC] Switched `interfaces` to a private member of SSANameState.
ClosedPublic

Authored by izuk on Jul 1 2021, 10:58 AM.

Details

Summary

interfaces is passed through to the numberValuesIn* functions with exactly
the same value as when SSANameState is constructed. This just seems cleaner.

Also, a dependent PR adds printerFlags which follows similar code paths.

Diff Detail

Event Timeline

izuk created this revision.Jul 1 2021, 10:58 AM
izuk requested review of this revision.Jul 1 2021, 10:58 AM

Please add a description to your commit message which includes the context/motivation for the change ( https://mlir.llvm.org/getting_started/Contributing/#commit-messages )

Also if this seems NFC? (tag the title)

izuk updated this revision to Diff 356274.Jul 2 2021, 2:15 PM

Updated the PR description.

izuk edited the summary of this revision. (Show Details)Jul 2 2021, 2:18 PM
izuk retitled this revision from Switched `interfaces` to a private member of SSANameState. to [mlir][NFC] Switched `interfaces` to a private member of SSANameState..Jul 2 2021, 2:21 PM
mehdi_amini accepted this revision.Jul 2 2021, 3:17 PM

LGTM, let me know if you need someone to land this for you!

This revision is now accepted and ready to land.Jul 2 2021, 3:17 PM
This revision was landed with ongoing or failed builds.Jul 10 2021, 10:20 AM
This revision was automatically updated to reflect the committed changes.